import request from '@/utils/httpRequest'

export default class reimbursementSys {
  treeData (params) {
    return request({
      url: '/accountant/reimbursement/treeData',
      method: 'get',
      params: params
    })
  }

  saveBusiness (inputForm) {
    return request({
      url: `/accountant/reimbursement/saveBusiness`,
      method: 'post',
      data: inputForm
    })
  }

  saveGatheringTime (inputForm) {
    return request({
      url: `/accountant/reimbursement/saveGatheringTime`,
      method: 'post',
      data: inputForm
    })
  }

  updateReimbursementRatio (inputForm) {
    return request({
      url: `/accountant/reimbursement/updateReimbursementRatio`,
      method: 'post',
      data: inputForm
    })
  }

  saveInvoice (inputForm) {
    return request({
      url: `/accountant/reimbursement/saveInvoice`,
      method: 'post',
      data: inputForm
    })
  }

  modifyInvoice (inputForm) {
    return request({
      url: `/accountant/reimbursement/modifyInvoice`,
      method: 'post',
      data: inputForm
    })
  }

  deleteBusiness (ids) {
    return request({
      url: '/accountant/reimbursement/deleteBusiness',
      method: 'delete',
      params: {ids: ids}
    })
  }

  deleteInvoice (ids) {
    return request({
      url: '/accountant/reimbursement/deleteInvoice',
      method: 'delete',
      params: {ids: ids}
    })
  }

  delete (ids) {
    return request({
      url: '/accountant/reimbursement/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }

  queryBusinessById (id) {
    return request({
      url: `/accountant/reimbursement/queryBusinessById`,
      method: 'get',
      params: {id: id}
    })
  }

  queryBusinessByInvoiceId (id) {
    return request({
      url: `/accountant/reimbursement/queryBusinessByInvoiceId`,
      method: 'get',
      params: {id: id}
    })
  }

  queryInvoiceById (id) {
    return request({
      url: `/accountant/reimbursement/queryInvoiceById`,
      method: 'get',
      params: {id: id}
    })
  }

  addBatchReimbursement (invoiceNumbers) {
    return request({
      url: '/accountant/reimbursement/addBatchReimbursement',
      method: 'put',
      params: {
        invoiceNumbers: invoiceNumbers
      }
    })
  }

  exportExcel (params) {
    return request({
      url: '/accountant/reimbursement/export',
      method: 'get',
      params: params,
      responseType: 'blob'
    })
  }

  exportTemplate () {
    return request({
      url: '/reimbursement/import/template',
      method: 'get',
      responseType: 'blob'
    })
  }
}
